### Constructor

# Atspi EventListener new

#### Declaration [src]

    AtspiEventListener*
    atspi_event_listener_new (
      AtspiEventListenerCB callback,
      gpointer user_data,
      GDestroyNotify callback_destroyed
    )

#### Description [src]

Creates a new `AtspiEventListener` associated with a specified `callback`.

#### Parameters

`callback`

  Type: `AtspiEventListenerCB`

  An `AtspiEventListenerCB` to be called when an event is fired.

`user_data`

  Type: `gpointer`

  Data to pass to the callback.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

`callback_destroyed`

  Type: `GDestroyNotify`

  A `GDestroyNotify` called when the listener is freed and data associated with the callback should be freed. Can be NULL.

#### Return value

Type: `AtspiEventListener`

A new `AtspiEventListener`.

The caller of the function takes ownership of the data, and is responsible for freeing it.